Bug 105211

Summary: [maintainer update] deve/loki 0.1.3 to 0.1.5
Product: Ports & Packages Reporter: Charming Sun <snnn119>
Component: Individual Port(s)Assignee: freebsd-ports-bugs (Nobody) <ports-bugs>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.shar
none
patch1.diff
none
patch1.diff.sig
none
loki.patch none

Description Charming Sun 2006-11-06 14:20:16 UTC
I've upgraded deve/loki from 0.1.3  to 0.1.5,and tested it under "gcc (GCC) 3.4.4 [FreeBSD] 20050518" and "gcc43 (GCC) 4.3.0 20061104 (experimental)"

p.s.sorry,I changed my English name from "Sun Chang-Ming" to "Charming Sun",because the newer is more friendly to English users.

How-To-Repeat: please test it under your host.
Comment 1 Frank J. Laszlo freebsd_committer 2006-11-07 16:33:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->laszlof

I'll take it.
Comment 2 Frank J. Laszlo freebsd_committer 2006-11-07 16:53:49 UTC
State Changed
From-To: open->feedback

Please submit a unified diff against the original port. shar files 
should only be used for new ports. Thanks
Comment 3 Charming Sun 2006-11-08 03:34:04 UTC
The diff file is below.Thanks.
----------------------------------------------------
diff -ruN /usr/ports/devel/loki/Makefile /home/snnn/ports/loki/Makefile
--- /usr/ports/devel/loki/Makefile    Sat Apr 29 04:51:05 2006
+++ /home/snnn/ports/loki/Makefile    Mon Nov  6 22:25:56 2006
@@ -1,33 +1,32 @@
-# New ports collection makefile for:    loki
-# Date created:        5 Feb 2006
-# Whom:            Sun Chang-Ming
+# New ports collection makefile for:   loki
+# Date created:        5 Feb 2006
+# Whom:                Charming Sun
 #
-# $FreeBSD: ports/devel/loki/Makefile,v 1.2 2006/04/28 20:51:05 sem Exp $
+# $FreeBSD$
 #
 
-PORTNAME=    loki
-PORTVERSION=    0.1.3
-CATEGORIES=    devel
-MASTER_SITES=    ${MASTER_SITE_SOURCEFORGE_EXTENDED}
-MASTER_SITE_SUBDIR=    loki-lib
+PORTNAME=      loki
+PORTVERSION=   0.1.5
+CATEGORIES=    devel
+MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE_EXTENDED}
+MASTER_SITE_SUBDIR=     loki-lib
 
-MAINTAINER=    snnn119@gmail.com
-COMMENT=    A C++ library of common design patterns
+MAINTAINER=    snnn119@gmail.com
+COMMENT=       A C++ library of common design patterns
 
-USE_BZIP2=    yes
-USE_GMAKE=    yes
-USE_GCC=    3.4+
+USE_GZIP=yes
+USE_GMAKE=yes
+USE_GCC=        3.4+
 
-DOCS=        README CHANGES doc/html/* doc/flex/* doc/yasli/*
+DOCS= README CHANGES doc/flex/flex_string.html \
+doc/yasli/Notes.txt \
+doc/yasli/yasli.html
 
 post-install:
 .if !defined(NOPORTDOCS)
     ${MKDIR} ${DOCSDIR}
-    ${MKDIR} ${DOCSDIR}/html
-    ${MKDIR} ${DOCSDIR}/flex
-    ${MKDIR} ${DOCSDIR}/yasli
 .for i in ${DOCS}
-    ${INSTALL_MAN} ${WRKSRC}/${i} ${DOCSDIR}/${i%/.*}
+    ${INSTALL_MAN} ${WRKSRC}/${i} ${DOCSDIR}
 .endfor
 .endif
 
diff -ruN /usr/ports/devel/loki/distinfo /home/snnn/ports/loki/distinfo
--- /usr/ports/devel/loki/distinfo    Sat Apr 29 03:59:30 2006
+++ /home/snnn/ports/loki/distinfo    Mon Jun 26 01:38:09 2006
@@ -1,3 +1,3 @@
-MD5 (loki-0.1.3.tar.bz2) = 7f30d06bcfe0feb18d797f166a02a966
-SHA256 (loki-0.1.3.tar.bz2) = 
1f7aed37eec4afb113f60507955e9621808d4e34b0cb9a3c89c793e57888b65e
-SIZE (loki-0.1.3.tar.bz2) = 704358
+MD5 (loki-0.1.5.tar.gz) = f246e9e91b46d4e55ce36193984697e6
+SHA256 (loki-0.1.5.tar.gz) = 
01ae8b65e286a64017a9fa2eb633d70b5f029b03bb4682f3105148165e3345f5
+SIZE (loki-0.1.5.tar.gz) = 324972
diff -ruN /usr/ports/devel/loki/files/patch-Makefile 
/home/snnn/ports/loki/files/patch-Makefile
--- /usr/ports/devel/loki/files/patch-Makefile    Sat Apr 29 03:59:30 2006
+++ /home/snnn/ports/loki/files/patch-Makefile    Mon Nov  6 22:02:51 2006
@@ -1,19 +1,11 @@
-*** Makefile.bak    Sat Feb 11 12:19:52 2006
---- Makefile    Sat Feb 11 12:19:59 2006
-***************
-*** 1,7 ****
-  DESTDIR := $(CURDIR)/$(DESTDIR)
-   
-! .PHONY: build check install clean
-! build:
-      $(MAKE) -C src
-   
-  check: build
---- 1,7 ----
-  DESTDIR := $(CURDIR)/$(DESTDIR)
-   
-! .PHONY: all check install clean
-! all:
-      $(MAKE) -C src
-   
-  check: build
+--- Makefile.orig    Mon Nov  6 22:01:44 2006
++++ Makefile    Mon Nov  6 22:01:52 2006
+@@ -23,7 +23,7 @@
+     $(MAKE) -C src distclean
+  
+ ifneq ($(OS),Windows)
+-export prefix ?= /usr
++export prefix ?= ${PREFIX}
+  
+ .PHONY: install install-static
+ install:
diff -ruN /usr/ports/devel/loki/files/patch-include-Makefile 
/home/snnn/ports/loki/files/patch-include-Makefile
--- /usr/ports/devel/loki/files/patch-include-Makefile    Sat Apr 29 
03:59:30 2006
+++ /home/snnn/ports/loki/files/patch-include-Makefile    Thu Jan  1 
08:00:00 1970
@@ -1,25 +0,0 @@
-*** include/Makefile.orig    Sat Jan  7 11:19:49 2006
---- include/Makefile    Sat Feb 11 22:41:43 2006
-***************
-*** 1,9 ****
-  .PHONY: install
-  install:
-!     mkdir -p $(DESTDIR)/usr/include/loki
-!     mkdir -p $(DESTDIR)/usr/include/loki/flex
-!     mkdir -p $(DESTDIR)/usr/include/loki/yasli
-!     
-!     install loki/*.h $(DESTDIR)/usr/include/loki
-!     install loki/flex/*.h $(DESTDIR)/usr/include/loki/flex
-!     install loki/yasli/*.h $(DESTDIR)/usr/include/loki/yasli
---- 1,11 ----
-  .PHONY: install
-+ PREFIX=/usr/local
-+  
-  install:
-!     mkdir -p $(PREFIX)/include/loki
-!     mkdir -p $(PREFIX)/include/loki/flex
-!     mkdir -p $(PREFIX)/include/loki/yasli
-!  
-!     install loki/*.h $(PREFIX)/include/loki
-!     install loki/flex/*.h $(PREFIX)/include/loki/flex
-!     install loki/yasli/*.h $(PREFIX)/include/loki/yasli
diff -ruN /usr/ports/devel/loki/files/patch-include-loki-Threads.h 
/home/snnn/ports/loki/files/patch-include-loki-Threads.h
--- /usr/ports/devel/loki/files/patch-include-loki-Threads.h    Thu Jan  
1 08:00:00 1970
+++ /home/snnn/ports/loki/files/patch-include-loki-Threads.h    Mon Nov  
6 20:43:20 2006
@@ -0,0 +1,13 @@
+--- include/loki/Threads.h.orig    Mon Nov  6 20:39:26 2006
++++ include/loki/Threads.h    Mon Nov  6 20:42:26 2006
+@@ -51,8 +51,8 @@
+  
+ #include <cassert>
+  
+-#if defined(LOKI_CLASS_LEVEL_THREADING) || 
defined(LOKI_OBJECT_LEVEL_THREADING)
+-
++//#if defined(LOKI_CLASS_LEVEL_THREADING) || 
defined(LOKI_OBJECT_LEVEL_THREADING)
++#if 0
+     #define LOKI_DEFAULT_THREADING_NO_OBJ_LEVEL 
::Loki::ClassLevelLockable
+      
+     #if defined(LOKI_CLASS_LEVEL_THREADING) && 
!defined(LOKI_OBJECT_LEVEL_THREADING)
diff -ruN /usr/ports/devel/loki/files/patch-src-Makefile 
/home/snnn/ports/loki/files/patch-src-Makefile
--- /usr/ports/devel/loki/files/patch-src-Makefile    Sat Apr 29 
03:59:30 2006
+++ /home/snnn/ports/loki/files/patch-src-Makefile    Mon Nov  6 
20:34:31 2006
@@ -1,34 +1,21 @@
-*** src/Makefile.orig    Sat Jan  7 11:19:49 2006
---- src/Makefile    Sat Feb 11 22:38:00 2006
-***************
-*** 1,14 ****
-  OBJ = Singleton.o SmallObj.o OrderedStatic.o
-  BIN = ../lib/libloki.a
-  CXXFLAGS = -I../include -Wall -O2 -DNDEBUG
-   
-  $(BIN): $(OBJ)
-      ar rs $(BIN) $(OBJ)
-   
-  .PHONY: clean install
-  install: $(BIN)
-!     mkdir -p $(DESTDIR)/usr/lib
-!     install $(BIN) $(DESTDIR)/usr/lib
-   
-  clean:
-      rm -f $(OBJ) $(BIN)
---- 1,15 ----
-  OBJ = Singleton.o SmallObj.o OrderedStatic.o
-  BIN = ../lib/libloki.a
-  CXXFLAGS = -I../include -Wall -O2 -DNDEBUG
-+ PREFIX=/usr/local
-   
-  $(BIN): $(OBJ)
-      ar rs $(BIN) $(OBJ)
-   
-  .PHONY: clean install
-  install: $(BIN)
-!     mkdir -p $(PREFIX)/lib
-!     install $(BIN) $(PREFIX)/lib
-   
-  clean:
-      rm -f $(OBJ) $(BIN)
+--- src/Makefile.orig    Mon Nov  6 20:06:34 2006
++++ src/Makefile    Mon Nov  6 20:09:28 2006
+@@ -20,10 +20,18 @@
+   LDLIBS = -lpthread
+   RESULT_DIR = ../lib/
+ else
++ifeq ($(OS), FreeBSD)
++  SHARED_LIB_BASE = libloki.so
++  SHARED_LIB_VERSIONED = libloki.so.$(VERSION)
++  LDFLAGS = --shared -Wl,-soname=$(SHARED_LIB_VERSIONED) -fPIC
++  LDLIBS = -pthread
++  RESULT_DIR = ../lib/
++else
+   SHARED_LIB_BASE = libloki.dll
+   LDFLAGS = --shared
+   LDLIBS =
+   RESULT_DIR = ../lib/
++endif
+ endif
+ endif
+  
diff -ruN /usr/ports/devel/loki/files/patch-test-Makefile 
/home/snnn/ports/loki/files/patch-test-Makefile
--- /usr/ports/devel/loki/files/patch-test-Makefile    Thu Jan  1 
08:00:00 1970
+++ /home/snnn/ports/loki/files/patch-test-Makefile    Mon Nov  6 
20:50:39 2006
@@ -0,0 +1,12 @@
+--- test/Makefile.orig    Mon Nov  6 20:45:11 2006
++++ test/Makefile    Mon Nov  6 20:49:04 2006
+@@ -1,5 +1,9 @@
+ export CPPFLAGS = -I../../include -DNDEBUG
++ifeq ($(OS),FreeBSD)
++export LDFLAGS = -L../../lib -pthread
++else
+ export LDFLAGS = -L../../lib
++endif
+ export LDLIBS = -lloki
+  
+ ifeq ($(OS),Windows)
diff -ruN /usr/ports/devel/loki/files/patch-test-SingletonDll-Makefile 
/home/snnn/ports/loki/files/patch-test-SingletonDll-Makefile
--- /usr/ports/devel/loki/files/patch-test-SingletonDll-Makefile    Thu 
Jan  1 08:00:00 1970
+++ /home/snnn/ports/loki/files/patch-test-SingletonDll-Makefile    Mon 
Nov  6 20:36:01 2006
@@ -0,0 +1,18 @@
+--- test/SingletonDll/Makefile.orig    Mon Nov  6 20:23:36 2006
++++ test/SingletonDll/Makefile    Mon Nov  6 20:24:00 2006
+@@ -8,9 +8,15 @@
+   LIB2 = libsingletondll.so
+   SHARED_LIB_FLAG = --shared
+ else
++ifeq ($(OS),FreeBSD)
++  LIB1 = libfoo.so
++  LIB2 = libsingletondll.so
++  SHARED_LIB_FLAG = --shared
++else
+   LIB1 = foo.dll
+   LIB2 = singletondll.dll
+   SHARED_LIB_FLAG = --shared
++endif
+ endif
+ endif
+  
diff -ruN /usr/ports/devel/loki/files/patch-test-SmartPtr-main.cpp 
/home/snnn/ports/loki/files/patch-test-SmartPtr-main.cpp
--- /usr/ports/devel/loki/files/patch-test-SmartPtr-main.cpp    Thu Jan  
1 08:00:00 1970
+++ /home/snnn/ports/loki/files/patch-test-SmartPtr-main.cpp    Mon Nov  
6 20:36:57 2006
@@ -0,0 +1,11 @@
+--- test/SmartPtr/main.cpp.orig    Mon Nov  6 20:25:41 2006
++++ test/SmartPtr/main.cpp    Mon Nov  6 20:26:02 2006
+@@ -998,7 +998,7 @@
+  
+ // 
---------------------------------------------------------------------------- 

+  
+-int main( unsigned int , const char * [] )
++int main(  int , const char * [] )
+ {
+  
+     DoRefLinkTests();
diff -ruN /usr/ports/devel/loki/pkg-descr /home/snnn/ports/loki/pkg-descr
--- /usr/ports/devel/loki/pkg-descr    Sat Apr 29 03:59:30 2006
+++ /home/snnn/ports/loki/pkg-descr    Mon Nov  6 21:05:47 2006
@@ -3,5 +3,5 @@
 
 
 WWW: http://sourceforge.net/projects/loki-lib/
-- Snnn
+- Charming Sun
 snnn119@gmail.com
diff -ruN /usr/ports/devel/loki/pkg-plist /home/snnn/ports/loki/pkg-plist
--- /usr/ports/devel/loki/pkg-plist    Sat Apr 29 03:59:30 2006
+++ /home/snnn/ports/loki/pkg-plist    Mon Nov  6 22:00:21 2006
@@ -1,5 +1,6 @@
 include/loki/AbstractFactory.h
 include/loki/AssocVector.h
+include/loki/ConstPolicy.h
 include/loki/DataGenerators.h
 include/loki/EmptyType.h
 include/loki/Factory.h
@@ -7,16 +8,21 @@
 include/loki/Functor.h
 include/loki/HierarchyGenerators.h
 include/loki/LockingPtr.h
+include/loki/LokiExport.h
 include/loki/LokiTypeInfo.h
 include/loki/MultiMethods.h
 include/loki/NullType.h
 include/loki/OrderedStatic.h
+include/loki/Pimpl.h
+include/loki/RefToValue.h
+include/loki/Register.h
 include/loki/SafeFormat.h
 include/loki/ScopeGuard.h
 include/loki/Sequence.h
 include/loki/Singleton.h
 include/loki/SmallObj.h
 include/loki/SmartPtr.h
+include/loki/StrongPtr.h
 include/loki/Threads.h
 include/loki/Tuple.h
 include/loki/TypeManip.h
@@ -41,523 +47,16 @@
 include/loki/yasli/yasli_traits.h
 include/loki/yasli/yasli_vector.h
 lib/libloki.a
-%%PORTDOCS%%%%DOCSDIR%%/CHANGES
-%%PORTDOCS%%%%DOCSDIR%%/Notes.txt
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%%%DOCSDIR%%/_main.html
-%%PORTDOCS%%%%DOCSDIR%%/a00015.html
-%%PORTDOCS%%%%DOCSDIR%%/a00049.html
-%%PORTDOCS%%%%DOCSDIR%%/a00050.html
-%%PORTDOCS%%%%DOCSDIR%%/a00051.html
-%%PORTDOCS%%%%DOCSDIR%%/a00102.html
-%%PORTDOCS%%%%DOCSDIR%%/a00106.html
-%%PORTDOCS%%%%DOCSDIR%%/a00107.html
-%%PORTDOCS%%%%DOCSDIR%%/a00122.html
-%%PORTDOCS%%%%DOCSDIR%%/a00174.html
-%%PORTDOCS%%%%DOCSDIR%%/a00175.html
-%%PORTDOCS%%%%DOCSDIR%%/a00176.html
-%%PORTDOCS%%%%DOCSDIR%%/a00178.html
-%%PORTDOCS%%%%DOCSDIR%%/a00179.html
-%%PORTDOCS%%%%DOCSDIR%%/a00180.html
-%%PORTDOCS%%%%DOCSDIR%%/a00182.html
-%%PORTDOCS%%%%DOCSDIR%%/a00183.html
-%%PORTDOCS%%%%DOCSDIR%%/a00184.html
-%%PORTDOCS%%%%DOCSDIR%%/a00185.html
-%%PORTDOCS%%%%DOCSDIR%%/a00186.html
-%%PORTDOCS%%%%DOCSDIR%%/a00187.html
-%%PORTDOCS%%%%DOCSDIR%%/a00191.html
-%%PORTDOCS%%%%DOCSDIR%%/a00193.html
-%%PORTDOCS%%%%DOCSDIR%%/a00194.html
-%%PORTDOCS%%%%DOCSDIR%%/a00195.html
-%%PORTDOCS%%%%DOCSDIR%%/a00196.html
-%%PORTDOCS%%%%DOCSDIR%%/a00197.html
-%%PORTDOCS%%%%DOCSDIR%%/a00198.html
-%%PORTDOCS%%%%DOCSDIR%%/a00199.html
-%%PORTDOCS%%%%DOCSDIR%%/a00200.html
-%%PORTDOCS%%%%DOCSDIR%%/a00201.html
-%%PORTDOCS%%%%DOCSDIR%%/a00202.html
-%%PORTDOCS%%%%DOCSDIR%%/a00203.html
-%%PORTDOCS%%%%DOCSDIR%%/a00206.html
-%%PORTDOCS%%%%DOCSDIR%%/a00207.html
-%%PORTDOCS%%%%DOCSDIR%%/a00209.html
-%%PORTDOCS%%%%DOCSDIR%%/a00210.html
-%%PORTDOCS%%%%DOCSDIR%%/a00211.html
-%%PORTDOCS%%%%DOCSDIR%%/a00212.html
-%%PORTDOCS%%%%DOCSDIR%%/a00213.html
-%%PORTDOCS%%%%DOCSDIR%%/a00214.html
-%%PORTDOCS%%%%DOCSDIR%%/a00215.html
-%%PORTDOCS%%%%DOCSDIR%%/a00216.html
-%%PORTDOCS%%%%DOCSDIR%%/a00217.html
-%%PORTDOCS%%%%DOCSDIR%%/a00218.html
-%%PORTDOCS%%%%DOCSDIR%%/a00219.html
-%%PORTDOCS%%%%DOCSDIR%%/a00220.html
-%%PORTDOCS%%%%DOCSDIR%%/a00221.html
-%%PORTDOCS%%%%DOCSDIR%%/a00223.html
-%%PORTDOCS%%%%DOCSDIR%%/a00228.html
-%%PORTDOCS%%%%DOCSDIR%%/a00229.html
-%%PORTDOCS%%%%DOCSDIR%%/a00230.html
-%%PORTDOCS%%%%DOCSDIR%%/a00231.html
-%%PORTDOCS%%%%DOCSDIR%%/a00232.html
-%%PORTDOCS%%%%DOCSDIR%%/a00234.html
-%%PORTDOCS%%%%DOCSDIR%%/a00533.html
-%%PORTDOCS%%%%DOCSDIR%%/a00545.html
-%%PORTDOCS%%%%DOCSDIR%%/a00546.html
-%%PORTDOCS%%%%DOCSDIR%%/a00547.html
-%%PORTDOCS%%%%DOCSDIR%%/a00595.html
-%%PORTDOCS%%%%DOCSDIR%%/a00596.html
-%%PORTDOCS%%%%DOCSDIR%%/a00597.html
-%%PORTDOCS%%%%DOCSDIR%%/a00598.html
-%%PORTDOCS%%%%DOCSDIR%%/a00599.html
-%%PORTDOCS%%%%DOCSDIR%%/a00600.html
-%%PORTDOCS%%%%DOCSDIR%%/a00601.html
-%%PORTDOCS%%%%DOCSDIR%%/a00602.html
-%%PORTDOCS%%%%DOCSDIR%%/a00603.html
-%%PORTDOCS%%%%DOCSDIR%%/a00604.html
-%%PORTDOCS%%%%DOCSDIR%%/a00605.html
-%%PORTDOCS%%%%DOCSDIR%%/a00606.html
-%%PORTDOCS%%%%DOCSDIR%%/a00607.html
-%%PORTDOCS%%%%DOCSDIR%%/a00608.html
-%%PORTDOCS%%%%DOCSDIR%%/a00609.html
-%%PORTDOCS%%%%DOCSDIR%%/a00610.html
-%%PORTDOCS%%%%DOCSDIR%%/a00611.html
-%%PORTDOCS%%%%DOCSDIR%%/a00612.html
-%%PORTDOCS%%%%DOCSDIR%%/a00613.html
-%%PORTDOCS%%%%DOCSDIR%%/a00614.html
-%%PORTDOCS%%%%DOCSDIR%%/a00615.html
-%%PORTDOCS%%%%DOCSDIR%%/a00616.html
-%%PORTDOCS%%%%DOCSDIR%%/a00617.html
-%%PORTDOCS%%%%DOCSDIR%%/a00618.html
-%%PORTDOCS%%%%DOCSDIR%%/a00619.html
-%%PORTDOCS%%%%DOCSDIR%%/a00620.html
-%%PORTDOCS%%%%DOCSDIR%%/a00621.html
-%%PORTDOCS%%%%DOCSDIR%%/a00622.html
-%%PORTDOCS%%%%DOCSDIR%%/a00623.html
-%%PORTDOCS%%%%DOCSDIR%%/a00624.html
-%%PORTDOCS%%%%DOCSDIR%%/a00625.html
-%%PORTDOCS%%%%DOCSDIR%%/a00626.html
-%%PORTDOCS%%%%DOCSDIR%%/a00627.html
-%%PORTDOCS%%%%DOCSDIR%%/a00628.html
-%%PORTDOCS%%%%DOCSDIR%%/a00629.html
-%%PORTDOCS%%%%DOCSDIR%%/a00630.html
-%%PORTDOCS%%%%DOCSDIR%%/a00631.html
-%%PORTDOCS%%%%DOCSDIR%%/a00632.html
-%%PORTDOCS%%%%DOCSDIR%%/a00633.html
-%%PORTDOCS%%%%DOCSDIR%%/a00634.html
-%%PORTDOCS%%%%DOCSDIR%%/a00635.html
-%%PORTDOCS%%%%DOCSDIR%%/a00636.html
-%%PORTDOCS%%%%DOCSDIR%%/a00637.html
-%%PORTDOCS%%%%DOCSDIR%%/a00638.html
-%%PORTDOCS%%%%DOCSDIR%%/a00639.html
-%%PORTDOCS%%%%DOCSDIR%%/a00640.html
-%%PORTDOCS%%%%DOCSDIR%%/a00641.html
-%%PORTDOCS%%%%DOCSDIR%%/a00642.html
-%%PORTDOCS%%%%DOCSDIR%%/a00643.html
-%%PORTDOCS%%%%DOCSDIR%%/a00644.html
-%%PORTDOCS%%%%DOCSDIR%%/a00645.html
-%%PORTDOCS%%%%DOCSDIR%%/a00646.html
-%%PORTDOCS%%%%DOCSDIR%%/a00647.html
-%%PORTDOCS%%%%DOCSDIR%%/a00648.html
-%%PORTDOCS%%%%DOCSDIR%%/a00649.html
-%%PORTDOCS%%%%DOCSDIR%%/a00650.html
-%%PORTDOCS%%%%DOCSDIR%%/a00651.html
-%%PORTDOCS%%%%DOCSDIR%%/a00652.html
-%%PORTDOCS%%%%DOCSDIR%%/a00653.html
-%%PORTDOCS%%%%DOCSDIR%%/a00654.html
-%%PORTDOCS%%%%DOCSDIR%%/a00655.html
-%%PORTDOCS%%%%DOCSDIR%%/a00656.html
-%%PORTDOCS%%%%DOCSDIR%%/a00657.html
-%%PORTDOCS%%%%DOCSDIR%%/a00692.html
-%%PORTDOCS%%%%DOCSDIR%%/a00693.html
-%%PORTDOCS%%%%DOCSDIR%%/a00694.html
-%%PORTDOCS%%%%DOCSDIR%%/a00695.html
-%%PORTDOCS%%%%DOCSDIR%%/a00696.html
-%%PORTDOCS%%%%DOCSDIR%%/a00697.html
-%%PORTDOCS%%%%DOCSDIR%%/a00697.png
-%%PORTDOCS%%%%DOCSDIR%%/a00698.html
-%%PORTDOCS%%%%DOCSDIR%%/a00698.png
-%%PORTDOCS%%%%DOCSDIR%%/a00699.html
-%%PORTDOCS%%%%DOCSDIR%%/a00699.png
-%%PORTDOCS%%%%DOCSDIR%%/a00700.html
-%%PORTDOCS%%%%DOCSDIR%%/a00700.png
-%%PORTDOCS%%%%DOCSDIR%%/a00701.html
-%%PORTDOCS%%%%DOCSDIR%%/a00701.png
-%%PORTDOCS%%%%DOCSDIR%%/a00702.html
-%%PORTDOCS%%%%DOCSDIR%%/a00702.png
-%%PORTDOCS%%%%DOCSDIR%%/a00703.html
-%%PORTDOCS%%%%DOCSDIR%%/a00703.png
-%%PORTDOCS%%%%DOCSDIR%%/a00704.html
-%%PORTDOCS%%%%DOCSDIR%%/a00704.png
-%%PORTDOCS%%%%DOCSDIR%%/a00705.html
-%%PORTDOCS%%%%DOCSDIR%%/a00705.png
-%%PORTDOCS%%%%DOCSDIR%%/a00706.html
-%%PORTDOCS%%%%DOCSDIR%%/a00706.png
-%%PORTDOCS%%%%DOCSDIR%%/a00707.html
-%%PORTDOCS%%%%DOCSDIR%%/a00707.png
-%%PORTDOCS%%%%DOCSDIR%%/a00708.html
-%%PORTDOCS%%%%DOCSDIR%%/a00709.html
-%%PORTDOCS%%%%DOCSDIR%%/a00710.map
-%%PORTDOCS%%%%DOCSDIR%%/a00710.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00710.png
-%%PORTDOCS%%%%DOCSDIR%%/a00726.map
-%%PORTDOCS%%%%DOCSDIR%%/a00726.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00726.png
-%%PORTDOCS%%%%DOCSDIR%%/a00728.map
-%%PORTDOCS%%%%DOCSDIR%%/a00728.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00728.png
-%%PORTDOCS%%%%DOCSDIR%%/a00730.map
-%%PORTDOCS%%%%DOCSDIR%%/a00730.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00730.png
-%%PORTDOCS%%%%DOCSDIR%%/a00732.map
-%%PORTDOCS%%%%DOCSDIR%%/a00732.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00732.png
-%%PORTDOCS%%%%DOCSDIR%%/a00734.map
-%%PORTDOCS%%%%DOCSDIR%%/a00734.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00734.png
-%%PORTDOCS%%%%DOCSDIR%%/a00736.map
-%%PORTDOCS%%%%DOCSDIR%%/a00736.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00736.png
-%%PORTDOCS%%%%DOCSDIR%%/a00738.map
-%%PORTDOCS%%%%DOCSDIR%%/a00738.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00738.png
-%%PORTDOCS%%%%DOCSDIR%%/a00740.map
-%%PORTDOCS%%%%DOCSDIR%%/a00740.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00740.png
-%%PORTDOCS%%%%DOCSDIR%%/a00742.map
-%%PORTDOCS%%%%DOCSDIR%%/a00742.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00742.png
-%%PORTDOCS%%%%DOCSDIR%%/a00744.map
-%%PORTDOCS%%%%DOCSDIR%%/a00744.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00744.png
-%%PORTDOCS%%%%DOCSDIR%%/a00746.map
-%%PORTDOCS%%%%DOCSDIR%%/a00746.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00746.png
-%%PORTDOCS%%%%DOCSDIR%%/a00748.map
-%%PORTDOCS%%%%DOCSDIR%%/a00748.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00748.png
-%%PORTDOCS%%%%DOCSDIR%%/a00750.map
-%%PORTDOCS%%%%DOCSDIR%%/a00750.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00750.png
-%%PORTDOCS%%%%DOCSDIR%%/a00752.map
-%%PORTDOCS%%%%DOCSDIR%%/a00752.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00752.png
-%%PORTDOCS%%%%DOCSDIR%%/a00754.map
-%%PORTDOCS%%%%DOCSDIR%%/a00754.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00754.png
-%%PORTDOCS%%%%DOCSDIR%%/a00756.map
-%%PORTDOCS%%%%DOCSDIR%%/a00756.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00756.png
-%%PORTDOCS%%%%DOCSDIR%%/a00758.map
-%%PORTDOCS%%%%DOCSDIR%%/a00758.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00758.png
-%%PORTDOCS%%%%DOCSDIR%%/a00760.map
-%%PORTDOCS%%%%DOCSDIR%%/a00760.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00760.png
-%%PORTDOCS%%%%DOCSDIR%%/a00762.map
-%%PORTDOCS%%%%DOCSDIR%%/a00762.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00762.png
-%%PORTDOCS%%%%DOCSDIR%%/a00764.map
-%%PORTDOCS%%%%DOCSDIR%%/a00764.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00764.png
-%%PORTDOCS%%%%DOCSDIR%%/a00766.map
-%%PORTDOCS%%%%DOCSDIR%%/a00766.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00766.png
-%%PORTDOCS%%%%DOCSDIR%%/a00768.map
-%%PORTDOCS%%%%DOCSDIR%%/a00768.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00768.png
-%%PORTDOCS%%%%DOCSDIR%%/a00770.map
-%%PORTDOCS%%%%DOCSDIR%%/a00770.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00770.png
-%%PORTDOCS%%%%DOCSDIR%%/a00772.map
-%%PORTDOCS%%%%DOCSDIR%%/a00772.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00772.png
-%%PORTDOCS%%%%DOCSDIR%%/a00774.map
-%%PORTDOCS%%%%DOCSDIR%%/a00774.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00774.png
-%%PORTDOCS%%%%DOCSDIR%%/a00776.map
-%%PORTDOCS%%%%DOCSDIR%%/a00776.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00776.png
-%%PORTDOCS%%%%DOCSDIR%%/a00778.map
-%%PORTDOCS%%%%DOCSDIR%%/a00778.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00778.png
-%%PORTDOCS%%%%DOCSDIR%%/a00789.map
-%%PORTDOCS%%%%DOCSDIR%%/a00789.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00789.png
-%%PORTDOCS%%%%DOCSDIR%%/a00791.map
-%%PORTDOCS%%%%DOCSDIR%%/a00791.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00791.png
-%%PORTDOCS%%%%DOCSDIR%%/a00793.map
-%%PORTDOCS%%%%DOCSDIR%%/a00793.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00793.png
-%%PORTDOCS%%%%DOCSDIR%%/a00795.map
-%%PORTDOCS%%%%DOCSDIR%%/a00795.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00795.png
-%%PORTDOCS%%%%DOCSDIR%%/a00797.map
-%%PORTDOCS%%%%DOCSDIR%%/a00797.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00797.png
-%%PORTDOCS%%%%DOCSDIR%%/a00799.map
-%%PORTDOCS%%%%DOCSDIR%%/a00799.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00799.png
-%%PORTDOCS%%%%DOCSDIR%%/a00801.map
-%%PORTDOCS%%%%DOCSDIR%%/a00801.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00801.png
-%%PORTDOCS%%%%DOCSDIR%%/a00803.map
-%%PORTDOCS%%%%DOCSDIR%%/a00803.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00803.png
-%%PORTDOCS%%%%DOCSDIR%%/a00805.map
-%%PORTDOCS%%%%DOCSDIR%%/a00805.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00805.png
-%%PORTDOCS%%%%DOCSDIR%%/a00807.map
-%%PORTDOCS%%%%DOCSDIR%%/a00807.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00807.png
-%%PORTDOCS%%%%DOCSDIR%%/a00809.map
-%%PORTDOCS%%%%DOCSDIR%%/a00809.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00809.png
-%%PORTDOCS%%%%DOCSDIR%%/a00811.map
-%%PORTDOCS%%%%DOCSDIR%%/a00811.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00811.png
-%%PORTDOCS%%%%DOCSDIR%%/a00813.map
-%%PORTDOCS%%%%DOCSDIR%%/a00813.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00813.png
-%%PORTDOCS%%%%DOCSDIR%%/a00815.map
-%%PORTDOCS%%%%DOCSDIR%%/a00815.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00815.png
-%%PORTDOCS%%%%DOCSDIR%%/a00817.map
-%%PORTDOCS%%%%DOCSDIR%%/a00817.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00817.png
-%%PORTDOCS%%%%DOCSDIR%%/a00819.map
-%%PORTDOCS%%%%DOCSDIR%%/a00819.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00819.png
-%%PORTDOCS%%%%DOCSDIR%%/a00821.map
-%%PORTDOCS%%%%DOCSDIR%%/a00821.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00821.png
-%%PORTDOCS%%%%DOCSDIR%%/a00823.map
-%%PORTDOCS%%%%DOCSDIR%%/a00823.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00823.png
-%%PORTDOCS%%%%DOCSDIR%%/a00825.map
-%%PORTDOCS%%%%DOCSDIR%%/a00825.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00825.png
-%%PORTDOCS%%%%DOCSDIR%%/a00827.map
-%%PORTDOCS%%%%DOCSDIR%%/a00827.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00827.png
-%%PORTDOCS%%%%DOCSDIR%%/a00829.map
-%%PORTDOCS%%%%DOCSDIR%%/a00829.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00829.png
-%%PORTDOCS%%%%DOCSDIR%%/a00831.map
-%%PORTDOCS%%%%DOCSDIR%%/a00831.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00831.png
-%%PORTDOCS%%%%DOCSDIR%%/a00833.map
-%%PORTDOCS%%%%DOCSDIR%%/a00833.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00833.png
-%%PORTDOCS%%%%DOCSDIR%%/a00835.map
-%%PORTDOCS%%%%DOCSDIR%%/a00835.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00835.png
-%%PORTDOCS%%%%DOCSDIR%%/a00837.map
-%%PORTDOCS%%%%DOCSDIR%%/a00837.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00837.png
-%%PORTDOCS%%%%DOCSDIR%%/a00839.map
-%%PORTDOCS%%%%DOCSDIR%%/a00839.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00839.png
-%%PORTDOCS%%%%DOCSDIR%%/a00841.map
-%%PORTDOCS%%%%DOCSDIR%%/a00841.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00841.png
-%%PORTDOCS%%%%DOCSDIR%%/a00843.map
-%%PORTDOCS%%%%DOCSDIR%%/a00843.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00843.png
-%%PORTDOCS%%%%DOCSDIR%%/a00845.map
-%%PORTDOCS%%%%DOCSDIR%%/a00845.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00845.png
-%%PORTDOCS%%%%DOCSDIR%%/a00847.map
-%%PORTDOCS%%%%DOCSDIR%%/a00847.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00847.png
-%%PORTDOCS%%%%DOCSDIR%%/a00849.map
-%%PORTDOCS%%%%DOCSDIR%%/a00849.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00849.png
-%%PORTDOCS%%%%DOCSDIR%%/a00851.map
-%%PORTDOCS%%%%DOCSDIR%%/a00851.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00851.png
-%%PORTDOCS%%%%DOCSDIR%%/a00853.map
-%%PORTDOCS%%%%DOCSDIR%%/a00853.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00853.png
-%%PORTDOCS%%%%DOCSDIR%%/a00855.map
-%%PORTDOCS%%%%DOCSDIR%%/a00855.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00855.png
-%%PORTDOCS%%%%DOCSDIR%%/a00857.map
-%%PORTDOCS%%%%DOCSDIR%%/a00857.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00857.png
-%%PORTDOCS%%%%DOCSDIR%%/a00859.map
-%%PORTDOCS%%%%DOCSDIR%%/a00859.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00859.png
-%%PORTDOCS%%%%DOCSDIR%%/a00861.map
-%%PORTDOCS%%%%DOCSDIR%%/a00861.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00861.png
-%%PORTDOCS%%%%DOCSDIR%%/a00863.map
-%%PORTDOCS%%%%DOCSDIR%%/a00863.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00863.png
-%%PORTDOCS%%%%DOCSDIR%%/a00865.map
-%%PORTDOCS%%%%DOCSDIR%%/a00865.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00865.png
-%%PORTDOCS%%%%DOCSDIR%%/a00867.map
-%%PORTDOCS%%%%DOCSDIR%%/a00867.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00867.png
-%%PORTDOCS%%%%DOCSDIR%%/a00869.map
-%%PORTDOCS%%%%DOCSDIR%%/a00869.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00869.png
-%%PORTDOCS%%%%DOCSDIR%%/a00871.map
-%%PORTDOCS%%%%DOCSDIR%%/a00871.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00871.png
-%%PORTDOCS%%%%DOCSDIR%%/a00873.map
-%%PORTDOCS%%%%DOCSDIR%%/a00873.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00873.png
-%%PORTDOCS%%%%DOCSDIR%%/a00875.map
-%%PORTDOCS%%%%DOCSDIR%%/a00875.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00875.png
-%%PORTDOCS%%%%DOCSDIR%%/a00877.map
-%%PORTDOCS%%%%DOCSDIR%%/a00877.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00877.png
-%%PORTDOCS%%%%DOCSDIR%%/a00879.map
-%%PORTDOCS%%%%DOCSDIR%%/a00879.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00879.png
-%%PORTDOCS%%%%DOCSDIR%%/a00881.map
-%%PORTDOCS%%%%DOCSDIR%%/a00881.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00881.png
-%%PORTDOCS%%%%DOCSDIR%%/a00883.map
-%%PORTDOCS%%%%DOCSDIR%%/a00883.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00883.png
-%%PORTDOCS%%%%DOCSDIR%%/a00885.map
-%%PORTDOCS%%%%DOCSDIR%%/a00885.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00885.png
-%%PORTDOCS%%%%DOCSDIR%%/a00887.map
-%%PORTDOCS%%%%DOCSDIR%%/a00887.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00887.png
-%%PORTDOCS%%%%DOCSDIR%%/a00889.map
-%%PORTDOCS%%%%DOCSDIR%%/a00889.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00889.png
-%%PORTDOCS%%%%DOCSDIR%%/a00891.map
-%%PORTDOCS%%%%DOCSDIR%%/a00891.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00891.png
-%%PORTDOCS%%%%DOCSDIR%%/a00893.map
-%%PORTDOCS%%%%DOCSDIR%%/a00893.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00893.png
-%%PORTDOCS%%%%DOCSDIR%%/a00895.map
-%%PORTDOCS%%%%DOCSDIR%%/a00895.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00895.png
-%%PORTDOCS%%%%DOCSDIR%%/a00897.map
-%%PORTDOCS%%%%DOCSDIR%%/a00897.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00897.png
-%%PORTDOCS%%%%DOCSDIR%%/a00899.map
-%%PORTDOCS%%%%DOCSDIR%%/a00899.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00899.png
-%%PORTDOCS%%%%DOCSDIR%%/a00901.map
-%%PORTDOCS%%%%DOCSDIR%%/a00901.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00901.png
-%%PORTDOCS%%%%DOCSDIR%%/a00903.map
-%%PORTDOCS%%%%DOCSDIR%%/a00903.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00903.png
-%%PORTDOCS%%%%DOCSDIR%%/a00905.map
-%%PORTDOCS%%%%DOCSDIR%%/a00905.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00905.png
-%%PORTDOCS%%%%DOCSDIR%%/a00907.map
-%%PORTDOCS%%%%DOCSDIR%%/a00907.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00907.png
-%%PORTDOCS%%%%DOCSDIR%%/a00909.map
-%%PORTDOCS%%%%DOCSDIR%%/a00909.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00909.png
-%%PORTDOCS%%%%DOCSDIR%%/a00911.map
-%%PORTDOCS%%%%DOCSDIR%%/a00911.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00911.png
-%%PORTDOCS%%%%DOCSDIR%%/a00913.map
-%%PORTDOCS%%%%DOCSDIR%%/a00913.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00913.png
-%%PORTDOCS%%%%DOCSDIR%%/a00915.map
-%%PORTDOCS%%%%DOCSDIR%%/a00915.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00915.png
-%%PORTDOCS%%%%DOCSDIR%%/a00917.map
-%%PORTDOCS%%%%DOCSDIR%%/a00917.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00917.png
-%%PORTDOCS%%%%DOCSDIR%%/a00919.map
-%%PORTDOCS%%%%DOCSDIR%%/a00919.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00919.png
-%%PORTDOCS%%%%DOCSDIR%%/a00921.map
-%%PORTDOCS%%%%DOCSDIR%%/a00921.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00921.png
-%%PORTDOCS%%%%DOCSDIR%%/a00923.map
-%%PORTDOCS%%%%DOCSDIR%%/a00923.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00923.png
-%%PORTDOCS%%%%DOCSDIR%%/a00925.map
-%%PORTDOCS%%%%DOCSDIR%%/a00925.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00925.png
-%%PORTDOCS%%%%DOCSDIR%%/a00927.map
-%%PORTDOCS%%%%DOCSDIR%%/a00927.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00927.png
-%%PORTDOCS%%%%DOCSDIR%%/a00929.map
-%%PORTDOCS%%%%DOCSDIR%%/a00929.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00929.png
-%%PORTDOCS%%%%DOCSDIR%%/a00931.map
-%%PORTDOCS%%%%DOCSDIR%%/a00931.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00931.png
-%%PORTDOCS%%%%DOCSDIR%%/a00933.map
-%%PORTDOCS%%%%DOCSDIR%%/a00933.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00933.png
-%%PORTDOCS%%%%DOCSDIR%%/a00935.map
-%%PORTDOCS%%%%DOCSDIR%%/a00935.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00935.png
-%%PORTDOCS%%%%DOCSDIR%%/a00937.map
-%%PORTDOCS%%%%DOCSDIR%%/a00937.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00937.png
-%%PORTDOCS%%%%DOCSDIR%%/a00939.map
-%%PORTDOCS%%%%DOCSDIR%%/a00939.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00939.png
-%%PORTDOCS%%%%DOCSDIR%%/a00941.map
-%%PORTDOCS%%%%DOCSDIR%%/a00941.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00941.png
-%%PORTDOCS%%%%DOCSDIR%%/a00943.map
-%%PORTDOCS%%%%DOCSDIR%%/a00943.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00943.png
-%%PORTDOCS%%%%DOCSDIR%%/a00945.map
-%%PORTDOCS%%%%DOCSDIR%%/a00945.md5
-%%PORTDOCS%%%%DOCSDIR%%/a00945.png
-%%PORTDOCS%%%%DOCSDIR%%/annotated.html
-%%PORTDOCS%%%%DOCSDIR%%/classes.html
-%%PORTDOCS%%%%DOCSDIR%%/doxygen.css
-%%PORTDOCS%%%%DOCSDIR%%/doxygen.png
-%%PORTDOCS%%%%DOCSDIR%%/flex_string.html
-%%PORTDOCS%%%%DOCSDIR%%/ftv2blank.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2doc.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2folderclosed.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2folderopen.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2lastnode.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2link.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2mlastnode.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2mnode.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2node.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2plastnode.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2pnode.png
-%%PORTDOCS%%%%DOCSDIR%%/ftv2vertline.png
-%%PORTDOCS%%%%DOCSDIR%%/functions.html
-%%PORTDOCS%%%%DOCSDIR%%/functions_func.html
-%%PORTDOCS%%%%DOCSDIR%%/functions_type.html
-%%PORTDOCS%%%%DOCSDIR%%/graph_legend.dot
-%%PORTDOCS%%%%DOCSDIR%%/graph_legend.html
-%%PORTDOCS%%%%DOCSDIR%%/graph_legend.png
-%%PORTDOCS%%%%DOCSDIR%%/hierarchy.html
-%%PORTDOCS%%%%DOCSDIR%%/index.html
-%%PORTDOCS%%%%DOCSDIR%%/inherits.html
-%%PORTDOCS%%%%DOCSDIR%%/installdox
-%%PORTDOCS%%%%DOCSDIR%%/main.html
-%%PORTDOCS%%%%DOCSDIR%%/modules.html
-%%PORTDOCS%%%%DOCSDIR%%/namespaces.html
-%%PORTDOCS%%%%DOCSDIR%%/search.idx
-%%PORTDOCS%%%%DOCSDIR%%/search.php
-%%PORTDOCS%%%%DOCSDIR%%/tab_b.gif
-%%PORTDOCS%%%%DOCSDIR%%/tab_l.gif
-%%PORTDOCS%%%%DOCSDIR%%/tab_r.gif
-%%PORTDOCS%%%%DOCSDIR%%/tabs.css
-%%PORTDOCS%%%%DOCSDIR%%/tree.html
-%%PORTDOCS%%%%DOCSDIR%%/yasli.html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/yasli
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
-%%PORTDOCS%%@dirrm %%DOCSDIR%%/flex
-%%PORTDOCS%%@dirrm %%DOCSDIR%%
+lib/libloki.so
+lib/libloki.so.0.1.5
+share/doc/loki/CHANGES
+share/doc/loki/Notes.txt
+share/doc/loki/README
+share/doc/loki/flex_string.html
+share/doc/loki/yasli.html
+@dirrm share/nls/en_US.US-ASCII
+@dirrm share/nls/POSIX
+@dirrm share/doc/loki
 @dirrm include/loki/yasli
 @dirrm include/loki/flex
 @dirrm include/loki
Comment 4 Frank J. Laszlo freebsd_committer 2006-11-27 13:59:22 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

snnn wrote:
| Frank J. Laszlo wrote:
|> Thank you. But your email client has turned all tabs into spaces. Please
|> use the "attach function" or place the diff in a compressed format such
|> as gz or zip. Thanks
|>
| Sorry,I wonder why thunderbird convert all tabs to spaces.I'm sorry for
| trouble you so many times.
| I attached the diff file to this mail.
|
| Best Regards.
|

This patch still does not apply cleanly, please be sure you are using
the latest version of the ports tree. Thanks

(patch is attached to track in gnats.)
- --
- -----------------------------
Frank J. Laszlo
laszlof@FreeBSD.org
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (MingW32)

iQIVAwUBRWrvOK1QwXwBI2DsAQgsbhAAnx2POtW9I2sDkQAsz+o5uehBwprptFRr
z38tnhyF0eIkE47gr8tr2U5vezEal1+/F8a5GmE1CST4HjXkWhMewmvrIEXpgMTT
N7Lo+gc2/YfVdF65uOrAsLNX2x4YMRkMXdb42Uyx7x2BkteSLyYawuUTc7EaZp8j
+PSHADjBBCJqgUcJJcH5IDqJEjfGujbt3mKhTXqNLnjOTVdt0FJCRNlFa3zCwyFg
q7nfJIIq6Ll7aANr8leCBAYXWgG3g7gTix7CfbsBiKw3Y9YMV2e+UQ1GDHCEXL2R
GsDaT48dS1NZTgU16Z0OjU43Kq6mzuzpAvocLW+XOks7+utOvB8pRyWjb7y5gLvB
7Djy4vFM0ZuZ1scSfkphvmUvEo3R/dfQ5sypnnPABXbjf6FoMwX+ApvmzV5mekp5
RUzTWhN3c1J7mgyWnmBX4RF1j0id9DVrwDDra8O4AHINsVnrQbbBxMBvStkHu6gr
FYDwshEaaUN/FXzBrB9e8OEWkKNDtN0w8L92Jh9pqi5oOTqldLkLoaEFcS3lQOj7
9D8ejx+YEgN+AVxZMDQX22vdl0mH/haaOCMv3dMLRNU9ciNooYiCtQO8U0VFH47c
hTk2/HYudVVrPIYzaIgOBWwkUOo8HzI71tNsKLYoHdv5S5iaDTrdWK0MDoDI/Y3o
mTe0ple54zM=
=+nFt
-----END PGP SIGNATURE-----
Comment 5 Frank J. Laszlo freebsd_committer 2006-12-03 16:43:34 UTC
Responsible Changed
From-To: laszlof->freebsd-ports-bugs

No responce from maintainer, add back to the pool.
Comment 6 Erwin Lansing freebsd_committer 2007-01-03 14:50:08 UTC
Hi,

The last patch from laszlof doesn't apply to the files/patch* files
either.  Can you send an updates patch?

Thanks,
-erwin

-- 
Erwin Lansing                                     http://droso.org
Security is like an onion.          (o_ _o)
It's made up of several layers   \\\_\   /_///    erwin@FreeBSD.org
And it makes you cry.            <____) (____>    erwin@aauug.dk
Comment 7 Charming Sun 2007-01-23 04:02:10 UTC
Erwin Lansing wrote:
> Hi,
>
> The last patch from laszlof doesn't apply to the files/patch* files
>
>   
Hi,this is the new patch file,tested under gcc3.4.6,gcc4.3.0 20061104.

Thanks for help.
Comment 8 Erwin Lansing freebsd_committer 2007-01-27 15:40:51 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 9 Pav Lucistnik freebsd_committer 2007-01-28 00:48:17 UTC
State Changed
From-To: open->closed

Committed after modifications.
Comment 10 dfilter service freebsd_committer 2007-01-28 01:38:17 UTC
pav         2007-01-28 01:38:11 UTC

  FreeBSD ports repository

  Modified files:
    devel/loki           Makefile distinfo pkg-descr pkg-plist 
    devel/loki/files     patch-Makefile patch-src-Makefile 
  Added files:
    devel/loki/files     patch-include-loki-Threads.h 
                         patch-test-Makefile 
                         patch-test-SingletonDll-Makefile 
                         patch-test-SmartPtr-main.cpp 
  Removed files:
    devel/loki/files     patch-include-Makefile 
  Log:
  - Update to 0.1.5
  
  PR:             ports/105211
  Submitted by:   Charming Sun <snnn119@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.3       +7 -7      ports/devel/loki/Makefile
  1.2       +3 -3      ports/devel/loki/distinfo
  1.2       +20 -19    ports/devel/loki/files/patch-Makefile
  1.2       +0 -25     ports/devel/loki/files/patch-include-Makefile (dead)
  1.1       +13 -0     ports/devel/loki/files/patch-include-loki-Threads.h (new)
  1.2       +21 -34    ports/devel/loki/files/patch-src-Makefile
  1.1       +12 -0     ports/devel/loki/files/patch-test-Makefile (new)
  1.1       +18 -0     ports/devel/loki/files/patch-test-SingletonDll-Makefile (new)
  1.1       +11 -0     ports/devel/loki/files/patch-test-SmartPtr-main.cpp (new)
  1.2       +1 -1      ports/devel/loki/pkg-descr
  1.2       +8 -511    ports/devel/loki/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"